org.eclipse.lyo.core.query

## Class OslcPrefixLexer

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Lexer
    - - org.eclipse.lyo.core.query.OslcPrefixLexer

- All Implemented Interfaces:
    org.antlr.runtime.TokenSource

      public class OslcPrefixLexer
      extends org.antlr.runtime.Lexer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLOSE_CURLY_BRACE`
    `static int` | `COMMA`
    `static int` | `DIGIT`
    `static int` | `DOT`
    `static int` | `EOF`
    `static int` | `EOL`
    `static int` | `GREATER`
    `static int` | `IRI_REF`
    `static int` | `LESS`
    `static int` | `MINUS`
    `static int` | `OPEN_CURLY_BRACE`
    `static int` | `PN_CHARS`
    `static int` | `PN_CHARS_BASE`
    `static int` | `PN_CHARS_U`
    `static int` | `PN_PREFIX`
    `static int` | `PREFIX`
    `static int` | `PREFIX_LIST`
    `static int` | `T__21`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.runtime.Lexer

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcPrefixLexer()`
    `OslcPrefixLexer(org.antlr.runtime.CharStream input)`
    `OslcPrefixLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.antlr.runtime.Lexer[]` | `getDelegates()`
    `String` | `getGrammarFileName()`
    `void` | `mCLOSE_CURLY_BRACE()`
    `void` | `mCOMMA()`
    `void` | `mDIGIT()`
    `void` | `mDOT()`
    `void` | `mEOL()`
    `void` | `mGREATER()`
    `void` | `mIRI_REF()`
    `void` | `mLESS()`
    `void` | `mMINUS()`
    `void` | `mOPEN_CURLY_BRACE()`
    `void` | `mPN_CHARS_BASE()`
    `void` | `mPN_CHARS_U()`
    `void` | `mPN_CHARS()`
    `void` | `mPN_PREFIX()`
    `void` | `mPREFIX_LIST()`
    `void` | `mPREFIX()`
    `void` | `mT__21()`
    `void` | `mTokens()`
    `void` | `mWS()`

    - ### Methods inherited from class org.antlr.runtime.Lexer

      `emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getEOFToken, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### T__21

          public static final int T__21

      See Also:
        Constant Field Values

    - #### CLOSE_CURLY_BRACE

          public static final int CLOSE_CURLY_BRACE

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### DIGIT

          public static final int DIGIT

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### EOL

          public static final int EOL

      See Also:
        Constant Field Values

    - #### GREATER

          public static final int GREATER

      See Also:
        Constant Field Values

    - #### IRI_REF

          public static final int IRI_REF

      See Also:
        Constant Field Values

    - #### LESS

          public static final int LESS

      See Also:
        Constant Field Values

    - #### MINUS

          public static final int MINUS

      See Also:
        Constant Field Values

    - #### OPEN_CURLY_BRACE

          public static final int OPEN_CURLY_BRACE

      See Also:
        Constant Field Values

    - #### PN_CHARS

          public static final int PN_CHARS

      See Also:
        Constant Field Values

    - #### PN_CHARS_BASE

          public static final int PN_CHARS_BASE

      See Also:
        Constant Field Values

    - #### PN_CHARS_U

          public static final int PN_CHARS_U

      See Also:
        Constant Field Values

    - #### PN_PREFIX

          public static final int PN_PREFIX

      See Also:
        Constant Field Values

    - #### PREFIX

          public static final int PREFIX

      See Also:
        Constant Field Values

    - #### PREFIX_LIST

          public static final int PREFIX_LIST

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OslcPrefixLexer

          public OslcPrefixLexer()

    - #### OslcPrefixLexer

          public OslcPrefixLexer(org.antlr.runtime.CharStream input)

    - #### OslcPrefixLexer

          public OslcPrefixLexer(org.antlr.runtime.CharStream input,
                         org.antlr.runtime.RecognizerSharedState state)

  - ### Method Detail

    - #### getDelegates

          public org.antlr.runtime.Lexer[] getDelegates()

    - #### getGrammarFileName

          public String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### mPREFIX

          public final void mPREFIX()
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPREFIX_LIST

          public final void mPREFIX_LIST()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__21

          public final void mT__21()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mWS

          public final void mWS()
                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mEOL

          public final void mEOL()
                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_PREFIX

          public final void mPN_PREFIX()
                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_CHARS_BASE

          public final void mPN_CHARS_BASE()
                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_CHARS

          public final void mPN_CHARS()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_CHARS_U

          public final void mPN_CHARS_U()
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDIGIT

          public final void mDIGIT()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mIRI_REF

          public final void mIRI_REF()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCOMMA

          public final void mCOMMA()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDOT

          public final void mDOT()
                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mMINUS

          public final void mMINUS()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mOPEN_CURLY_BRACE

          public final void mOPEN_CURLY_BRACE()
                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCLOSE_CURLY_BRACE

          public final void mCLOSE_CURLY_BRACE()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLESS

          public final void mLESS()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mGREATER

          public final void mGREATER()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTokens

          public void mTokens()
                       throws org.antlr.runtime.RecognitionException

      Specified by:
        `mTokens` in class `org.antlr.runtime.Lexer`
      Throws:
        `org.antlr.runtime.RecognitionException`

Copyright © 2016. All rights reserved.